Upstream information

CVE-2011-0085 at MITRE

Description

Use-after-free vulnerability in the nsXULCommandDispatcher function in Mozilla Firefox before 3.6.18, Thunderbird before 3.1.11, and SeaMonkey through 2.0.14 allows remote attackers to execute arbitrary code via a crafted XUL document that dequeues the current command updater.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 701296 [RESOLVED / FIXED], 701995 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • MozillaFirefox-devel >= 31.7.0esr-0.8.1
  • mozilla-xulrunner192-devel >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-gnome-32bit >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-translations-32bit >= 1.9.2.27-0.2.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA MozillaFirefox-devel-31.7.0esr-0.8.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA mozilla-xulrunner192-devel-1.9.2.27-0.2.1
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Linux Enterprise Workstation Extension 15 SP1
  • MozillaThunderbird >= 60.6.1-3.28.1
  • MozillaThunderbird-translations-common >= 60.6.1-3.28.1
  • MozillaThunderbird-translations-other >= 60.6.1-3.28.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP1 GA MozillaThunderbird-60.6.1-3.28.1
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
SUSE Linux Enterprise Workstation Extension 15
  • MozillaThunderbird >= 52.8-1.2
  • MozillaThunderbird-devel >= 52.8-1.2
  • MozillaThunderbird-translations-common >= 52.8-1.2
  • MozillaThunderbird-translations-other >= 52.8-1.2
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA MozillaThunderbird-52.8-1.2
SUSE Linux Enterprise Server 11 SP1
  • MozillaFirefox >= 3.6.18-0.2.1
  • MozillaFirefox-translations >= 3.6.18-0.2.1
  • libfreebl3 >= 3.13.5-0.4.2
  • libfreebl3-32bit >= 3.13.5-0.4.2
  • libfreebl3-x86 >= 3.13.5-0.4.2
  • mozilla-nspr >= 4.9.1-0.5.1
  • mozilla-nspr-32bit >= 4.9.1-0.5.1
  • mozilla-nspr-x86 >= 4.9.1-0.5.1
  • mozilla-nss >= 3.13.5-0.4.2
  • mozilla-nss-32bit >= 3.13.5-0.4.2
  • mozilla-nss-tools >= 3.13.5-0.4.2
  • mozilla-nss-x86 >= 3.13.5-0.4.2
  • mozilla-xulrunner191 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-32bit >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-x86 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner192 >= 1.9.2.18-1.2.1
  • mozilla-xulrunner192-32bit >= 1.9.2.24-0.3.1
  • mozilla-xulrunner192-gnome >= 1.9.2.18-1.2.1
  • mozilla-xulrunner192-translations >= 1.9.2.18-1.2.1
  • mozilla-xulrunner192-x86 >= 1.9.2.24-0.3.1
Patchnames:
slessp1-MozillaFirefox
SUSE Linux Enterprise Server 11 SP2
  • MozillaFirefox >= 10.0-0.3.2
  • MozillaFirefox-translations >= 10.0-0.3.2
  • mozilla-xulrunner192 >= 1.9.2.24-0.3.1
  • mozilla-xulrunner192-32bit >= 1.9.2.24-0.3.2
  • mozilla-xulrunner192-gnome >= 1.9.2.24-0.3.1
  • mozilla-xulrunner192-translations >= 1.9.2.24-0.3.1
  • mozilla-xulrunner192-x86 >= 1.9.2.24-0.3.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA MozillaFirefox-10.0-0.3.2
SUSE Linux Enterprise Server 11 SP2 GA mozilla-xulrunner192-1.9.2.24-0.3.1
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 17.0.4esr-0.10.42
  • MozillaFirefox-translations >= 17.0.4esr-0.10.42
  • mozilla-xulrunner192 >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-32bit >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-gnome >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-translations >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-x86 >= 1.9.2.27-0.2.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA MozillaFirefox-17.0.4esr-0.10.42
SUSE Linux Enterprise Server 11 SP3 GA mozilla-xulrunner192-1.9.2.27-0.2.1
SUSE Linux Enterprise Server 11 SP4
  • MozillaFirefox >= 31.7.0esr-0.8.1
  • MozillaFirefox-devel >= 31.7.0esr-0.8.1
  • MozillaFirefox-translations >= 31.7.0esr-0.8.1
  • mozilla-xulrunner192 >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-32bit >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-devel >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-gnome >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-gnome-32bit >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-translations >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-translations-32bit >= 1.9.2.27-0.2.1
  • mozilla-xulrunner192-x86 >= 1.9.2.27-0.2.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA MozillaFirefox-31.7.0esr-0.8.1
SUSE Linux Enterprise Server 11 SP4 GA mozilla-xulrunner192-1.9.2.27-0.2.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA MozillaFirefox-devel-31.7.0esr-0.8.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA mozilla-xulrunner192-devel-1.9.2.27-0.2.1
openSUSE Leap 15.0
  • MozillaThunderbird >= 52.7-lp150.2.16
  • MozillaThunderbird-translations-common >= 52.7-lp150.2.16
  • MozillaThunderbird-translations-other >= 52.7-lp150.2.16
Patchnames:
openSUSE Leap 15.0 GA MozillaThunderbird-52.7-lp150.2.16
openSUSE Tumbleweed
  • MozillaThunderbird >= 45.5.1-1.1
  • MozillaThunderbird-buildsymbols >= 45.5.1-1.1
  • MozillaThunderbird-devel >= 45.5.1-1.1
  • MozillaThunderbird-translations-common >= 45.5.1-1.1
  • MozillaThunderbird-translations-other >= 45.5.1-1.1
Patchnames:
openSUSE Tumbleweed GA MozillaThunderbird-45.5.1-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Server 15 SP1 MozillaThunderbird Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 MozillaThunderbird Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 MozillaThunderbird Already fixed
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 11 SP1 MozillaFirefox Released
SUSE Linux Enterprise Desktop 15 MozillaThunderbird Already fixed
SUSE Linux Enterprise Desktop 15 SP1 MozillaThunderbird Already fixed
SUSE Linux Enterprise Server 11 SP1 MozillaFirefox Released
SUSE Linux Enterprise Server 11 SP1 LTSS MozillaFirefox Released
SUSE Linux Enterprise Server 11 SP4-LTSS MozillaFirefox Affected
SUSE Linux Enterprise Server 15 MozillaThunderbird Already fixed
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 MozillaFirefox Released
SUSE Linux Enterprise Workstation Extension 15 MozillaThunderbird Already fixed
SUSE Linux Enterprise Workstation Extension 15 SP1 MozillaThunderbird Already fixed


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 04:17:04 2013
CVE page last modified: Tue Jan 17 11:57:44 2023